---
search:
  tags:
    - Pipelines
    - POST
seo:
  description: >-
    POST alternative for GET /pipelines. Use when URL length limits are
    exceeded… Reference for the POST /pipelines/search endpoint in the Streamkap
    REST API.
sidebar:
  label: Search pipelines (POST)
  badge: POST
title: Search pipelines (POST)
type: openapi-operation
---
POST alternative for GET /pipelines. Use when URL length limits are exceeded (e.g., many filter values). Supports both query parameters and request body. Body parameters take precedence over query parameters.

`POST /pipelines/search`

**Request body** (`application/json`)

Request body example:

```json
{
  "tag_ids": [
    "string"
  ],
  "tag_filter_operation": "and",
  "source_id": [
    "string"
  ],
  "destination_id": [
    "string"
  ],
  "status": [
    "string"
  ]
}
```

**Responses**

- `200` — Successful Response
- `422` — Validation Error

Response example, 200:

```json
{
  "page": 1,
  "page_size": 10,
  "total": 0,
  "has_next": true,
  "result": [
    {
      "name": "string",
      "sub_id": "string",
      "tenant_id": "string",
      "id": "string",
      "snapshot_new_tables": true,
      "managed": false,
      "topic_ids": [
        "string"
      ],
      "topics": [
        "string"
      ],
      "source": {
        "name": "string",
        "connector": "string",
        "id": "string",
        "connector_display_name": "string",
        "created_timestamp": "string",
        "sub_id": "string",
        "tenant_id": "string",
        "service_id": "string",
        "config": {
          "property1": "string",
          "property2": "string"
        },
        "topic_ids": [
          "string"
        ],
        "topic_map": {
          "property1": [
            "string"
          ],
          "property2": [
            "string"
          ]
        },
        "topics": [
          "string"
        ],
        "tasks": [
          0
        ],
        "connector_status": "string",
        "desired_state": "string",
        "reconcile_error": "string",
        "connection_warning": "string",
        "kc_cluster_id": "string",
        "task_statuses": {
          "property1": {
            "property1": "string",
            "property2": "string"
          },
          "property2": {
            "property1": "string",
            "property2": "string"
          }
        },
        "tags": [
          "string"
        ]
      },
      "destination": {
        "name": "string",
        "connector": "string",
        "id": "string",
        "connector_display_name": "string",
        "created_timestamp": "string",
        "sub_id": "string",
        "tenant_id": "string",
        "config": {
          "property1": "string",
          "property2": "string"
        },
        "topic_ids": [
          "string"
        ],
        "topic_map": {
          "property1": [
            "string"
          ],
          "property2": [
            "string"
          ]
        },
        "topics": [
          "string"
        ],
        "tasks": [
          0
        ],
        "connector_status": "string",
        "desired_state": "string",
        "reconcile_error": "string",
        "schema_evolution_warning": "string",
        "kc_cluster_id": "string",
        "task_statuses": {
          "property1": {
            "property1": "string",
            "property2": "string"
          },
          "property2": {
            "property1": "string",
            "property2": "string"
          }
        },
        "tags": [
          "string"
        ]
      },
      "transforms": [
        null
      ],
      "tags": [],
      "periodic_audit": {
        "topics": [
          "string"
        ],
        "timestamp_column": "string",
        "interval_minutes": 0,
        "fix_deletes_only": false
      },
      "topic_auto_discovery_transforms": []
    }
  ]
}
```
